Login | Register


All times are UTC - 5 hours


It is currently Sun Dec 09, 2018 11:05 pm




Post new topic Reply to topic  [ 4 posts ] 
Author Message
 Post subject: Unable to Verify application Version?
PostPosted: Sun Dec 25, 2011 6:53 pm 

Joined: Fri May 06, 2011 5:19 pm
Posts: 20
I installed everything correctly. 1.07 - 1.10 mod core and such, i get the correct log in screen and everything.

However, when i try to connect to the server i get an error saying "battle.net is unable to properly identify your application version". Now, ive used other d2 mods and im pretty sure its a problem with "running as admin". So of course i try to run as admin the problem is that i cant run the .batch file as admin, when i right click run as admin it just opens the dos box for like 0.5 seconds then closes it....

How can i fix this? I can run everything else as admin, just cannot run the .batch file for whatever reason. Ive changed the settings allowing full control over the d2 file its self to anyone and that didnt change anything. All of my .exe game and .batch files are running in windowsxp mode as well.


edit: to clarify, i can right click run as admin by making a shortcut of the .batch and going from there, but it just immediately closes.
Thank you.


Top
 Offline Profile  
Reply with quote  
 Post subject: Re: Unable to Verify application Version?
PostPosted: Mon Dec 26, 2011 2:27 am 

Joined: Wed Jan 27, 2010 5:52 pm
Posts: 164
Location: the Netherlands
1 install outside program files

2 run d2modsetup.bat also as admin

3 pretty sure hu.reg didn't get into your registry due to 1 and/or 2


Top
 Offline Profile  
Reply with quote  
 Post subject: Re: Unable to Verify application Version?
PostPosted: Mon Dec 26, 2011 1:09 pm 

Joined: Fri May 06, 2011 5:19 pm
Posts: 20
PROBLEM SOLVED, MOST FRUSTRATING THING EVER

It had nothing to do with any installation or outside programs etc. I had done everything correct, it was legitimately the version of windows 7 i had. Updated to a more current one and it worked upon install.

So for anyone else banging their head against a wall having exhausted every possible error like I had, its simply your windows 7 version, it simply wouldn't allow for .batch files to be run as administrator (would immediately close upon doing so). Update and profit!

edit: The HU reg was there, everything appeared to be normal. The way we decided that it was my version of windows is that a friend of mine (also running windows 7) installed without any problems following my instructions, so after hours we decided to try an upgrade install and it worked.


Top
 Offline Profile  
Reply with quote  
 Post subject: Re: Unable to Verify application Version?
PostPosted: Fri Jan 06, 2012 12:09 pm 
User avatar

Joined: Fri Dec 24, 2010 6:10 am
Posts: 345
Location: Vancouver, BC
Quote:
"battle.net is unable to properly identify your application version"


Are you sure you just weren't trying to connect to a bnet server as opposed to HU server, and the second time you did setup you actually ran hu.reg?


Top
 Offline Profile  
Reply with quote  
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 4 posts ] 

All times are UTC - 5 hours


Who is online

Users browsing this forum: No registered users and 5 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to: